ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.AutomaticFrameAdvance = true
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = true
ENT.PrintName = "Meth Abwurfpunkt"
ENT.Category = "Mapobjekte"
ENT.Model = Model("models/zerochain/zmlab/zmlab_dropoffshaft.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 0, "IsClosed")

	if SERVER then
		self:SetIsClosed(true)
	end
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, _, tool)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end